Introduction

PocketBFL is a software which helps you manage all activities involved in Body-for-LIFE. Body-for-LIFE program is a 12-week program to improve your mental and physical strength. The major steps in which the program helps you to achieve the strength are setting goals, doing strength training and aerobics, taking meals at regular intervals, and tracking progress. For more details about the program, Please refer to Body-for-LIFE book.

This guide is addressed to the individual who is following Body-for-LIFE program or is planning to do so. It provides complete instructions for using PocketBFL software. It is assumed that reader is familiar with the basic features and operations of the Pocket PC.


Features

Body-for-LIFE involve activities like planning your next day exercise and meal schedule, performing the schedule you planned, taking your body measurements, keeping track of your performance. It is as simple as it sounds. But when it comes to real world you need a companion, a friend who will guide you at every stage so that you can get most out of Body-for-LIFE. Think of some one telling you: "Hey Jone, Come on its your meal time" or some one in gym telling you: "Hey Jane, Your rest time is over. Come on and perform another set." or some one who simplify your planning activities or keep track of your body measurements. Then PocketBFL is the only tool you need. It has the features like:

  • Multi user: so your entire family can make use of it.
  • Exercise Calendar: so you can plan your upper body, lower body and aerobics exercises
  • Measurement Calendar: so you can manage your measurements and photographs
  • Food Calendar: so you can plan your daily food
  • Meal time reminder: so you can take meal on planned time
  • Copy, Paste and Clear Calendar Day: so you can easily replicate any plan or measurements.
  • In-Gym: so you won't bother, while workout, with the questions like: Which is my next exercise? or Is my rest time over?
  • Charts based on measurements: so you can visually understand your progress
  • Export Measurement to Text File: so you can use it on PC as well
PocketBFL is bundled with lot of exercises and foods. But you can add your customize exercises and foods as well.


Requirements

  • PocketBFL works on Pocket PC device running Win CE 3.0 or higher with minimum of 200 KB of application storage space. It also needs PC running ActiveSync software for installation purpose.
  • ADOCE 3.0 or above installed on Pocket PC.

If you do not have ADOCE installed on your Pocket PC, download ADOCE3.1 setup from following link and install it.
http://www.cellica.com/download/PocketBFL/adoce3.1Setup.exe

On first use of Pocket BFL program, if it could not found ADOCE on pocket pc, it will prompt you so. In this case, you need to download above adoce setup program and install it and then after you can use pocketbfl program on your Pocket PC.


Installation

Run PocketBFL.exe file on your PC. It will make the required adjustment for installation. ActiveSync will install PocketBFL next time you sync your Pocket PC.


Starting PocketBFL

Tap on Start > Programs > PocketBFL icon to load PocketBFL Application. It will load PocketBFL Home page. PocketBFL Home is a central page from where you can lead to other funtionalities. It looks like as follows:


Installation

Registration

Unregister version of PocketBFL works for limited days. To make it work lifelong, you need to enter the registration code supplied by us. You can buy registration code via handango, pocketgear or other resources from where you have downloaded copy of PocketBFL. You need to provide owner name of your Pocket PC. It must be supplied as you have enter in to your Pocket PC.

To view or enter owner information of your Pocket PC, Select Start > Settings and click on Owner Information. Owner information is also available on today screen.

Select Tools > Register... menu option on PocketBFL Home and enter the registration code you got.


Change User

You can change the active user through PocketBFL Home page. Change user popup to change active user.


Manage User

Select Setup > User menu option available on PocketBFL Home. It will load the form which is used to manage users. You can add new user, edit or delete existing one. Deleting a user record will delete all records belonging to that user from PocketBFL. User Management page looks as follows:

You can tap on Edit or Add buttons to edit or add new user record respectively. Pressing those buttons will lead you to the page where you can enter user information. Tap OK to save changes else Cancel.


Manage Food

Select Setup > Food menu option available on PocketBFL Home. It will load the form which is used to manage food: Meal and Supplement. PocketBFL, by default, has lot of food in both categories. You can add new one, edit or delete existing one. Food Management page looks as follows:

You can tap on Edit or Add buttons to edit or add new food record respectively. Pressing those buttons will lead you to the page where you can enter food information. Tap OK to save changes else Cancel.


Manage Exercise

Select Setup > Exercise menu option available on PocketBFL Home. It will load the form which is used to manage exercise: Upper Body, Lower Body and Aerobics. PocketBFL, by default, has lot of exercises in above 3 categories. You can add new exercise, edit or delete existing one. Exercise Management page looks as follows:

You can tap on Edit or Add buttons to edit or add new exercise record respectively. Pressing those buttons will lead you to the page where you can enter exercise information. Tap OK to save changes else Cancel.


Start Exercise Calendar

Tap on Tap to load exercise calendar icon, available on PocketBFL Home, to load Exercise Calendar. This is the page from where you are able to create, edit, delete, copy, paste or clear new exercise plan. Exercise Calendar page looks like as follows. The day in red color represents today's day.


Tap on day to operate

Tap on any day you want to operate on and it will display popup menu having various options as follows. Few of the options are enabled or disabled according to the status of that day. e.g. If you tapped on day which already has some plan then options like Edit, Create, Copy, Clear, In-Gym will be enabled. If you have copied some day then Paste option will also become active. If you tapped on day having no plan and you have not copied any record then only Create option will be enabled.


Exercise Planner

Tapping on Upper will display the page, where you can plan Upper Body Exercise, as follows:

Tapping on Lower option will load page as follows. It provides the way to plan Lower Body Exercise.

and, tapping on Aerobics option will load page, where you can plan Aerobics Exercise for day, as shown below. The following page is able to take intensity inputs for upto 60 minutes.

To attach note to exercise day, select Options > Attach Note... option. You can save changes and return back to exercise calendar by pressing OK button, at top right corner of the page.


Exercise Calendar

If you have created Upper body record then that specific day displays [image] icon. If Lower body plan is created then that day displays [image] icon and, if Aerobics plan is created then [image] icon is displayed on that day.

Also, if you tap on that day, popup options disables/enables according to that day status as follows:

Now you can edit that record to make modifications. Copy that day record and paste it to some other day or clear that record. You can also load In-Gym to perform that day exercise.


Work In-Gym

  • Consider scenario: how one person perform workout in gym without PocketBFL.

    You planned the next day exercise today. You decided to complete all exercise sets in 45 minutes and also set proper rest period between each set as specified by Body-for-LIFE. On Next day, you went to gym. Gave your look at wallclock to note the time and starts your first set. After completion of first set, you are suppose to take the rest. But at the same time you have to know which is the next exercise you are suppose to perform, how much weight you planned to lift and more on is the rest period over. Do you think you're resting. I think - No!!!

  • Now, consider scenario: how one person perform workout in gym or any place with PocketBFL In-Gym feature.

    You planned the next day exercise today with PocketBFL Exercise Calendar. You decided to complete all exercise sets in 45 minutes and also set proper rest period between each set. On next day, you went to gym. Load PocketBFL In-Gym feature. In-Gym page displays the total time you decided to complete all exercises. It also displays the exercise you are suppose to perform with other details like: reps, weight and intensity. You start/stop overall time counter by pressing hard button 1. It can be used to count the total time you are taking to perform everything. You set aside your pocket pc and perform workout as shown by In-Gym feature. After completing the set, you press hard button 4 to start rest period counter. Pressing that button displays next set you are suppose to perform with the reps, weight and intensity. You gave a look at it and rest until rest period counter beeps. Beep means your rest period is over, get back to work. Simple, isn't it.


Start Exercise Calendar

Tap on Tap to load exercise calendar icon, available on PocketBFL Home, to load Exercise Calendar. This is the page from where you are able to load In-Gym Page, which helps you while you actually perform your exercise in gym, at home or anywhere. Exercise Calendar page looks like as follows. The day in red color represents today's day.

It is necessary to have a record to use In-Gym facility. If no record is present then first create it.


In Gym

Selecting In-Gym option from popup, which appears after you tap on exercise calendar day, will lead you to In-Gym page. This feature will help you in real time, when you are performing your workout at gym or at home or in park. In-Gym page looks like as follows:

Press hard button 1 or tap on running clock to start/stop overall time counter. It can be used to keep track of total time you are taking to perform all exercise sets. Use up/down scroll buttons to change set. Use prev/next scroll buttons to change muscle. Press hard button 4 or tap on rest period icon(body builder image) to start/stop rest period time counter. Pressing this button also set the exercise detail on screen with the next set you are suppose to perform. After rest period is over, it beeps so that you can start workout again. Press ? for help.


In Gym

Selecting In-Gym option from popup, which appears after you tap on exercise calendar day, will lead you to In-Gym page. This feature will help you in real time, when you are performing your workout at gym or at home or in park. In-Gym page looks like as follows:

Press hard button 1 or tap on running clock to start/stop overall time counter. It can be used to keep track of total time you are taking to perform all exercise sets. Use up/down scroll buttons to change aerobic exercise minutes. Press ? for help.


Start Food Calendar

Tap on Tap to load food calendar icon, available on PocketBFL Home, to load Food Calendar. This is the page from where you are able to create, edit, delete, copy, paste or clear new food plan. Food Calendar page looks like as follows. The day in red color represents today's day.


Tap on day to operate

Tap on any day you want to operate on and it will display popup menu having various options as follows. Few of the options are enabled or disabled according to the status of that day. e.g. If you tapped on day which already has some plan then options like Edit, Create, Copy, Clear will be enabled. If you have copied some day then Paste option will also become active. If you tapped on day having no plan and you have not copied any record then only Create option will be enabled.


Food Planner

Tapping on Create will display the page, where you can plan Food to take, as follows:

  • Use [image] or [image] to add or remove food.
  • Change meal interval using Interval toolbar.
  • To know nutritional information for the food you selected in all six intervals, select Options > Nutrition Info...
  • To attach note, select Options > Attach Note... option.
  • You can save changes and return back to food calendar by pressing OK button, at top right corner of the page.


Food Calendar

If Food record is created then that specific day displays [image] icon.

Note: Saved food plan intervals are shown in Appointment section on Today page of Pocket PC on proper date/time for reminding purpose.

Also, if you tap on that day, popup options disables/enables according to that day status as follows:

Now you can edit that record to make modifications. Copy that day record and paste it to some other day or clear that record.


Start Measurement Calendar

Tap on Tap to load measurement calendar icon, available on PocketBFL Home, to load Measurement Calendar. This is the page from where you are able to create, edit, delete, copy, paste or clear new measurements. Measurement Calendar page looks like as follows. The day in red color represents today's day.


Tap on day to operate

Tap on any day you want to operate on and it will display popup menu having various options as follows. Few of the options are enabled or disabled according to the status of that day. e.g. If you tapped on day which already has measurements then options like Edit, Create, Copy, Clear, Export... are enabled. If you have copied some day then Paste option will also become active. If you tapped on day having no record and you have not copied any record then only Create option will be enabled.


Measurements Record Keeper

Tapping on Create will display the page, where you can record your measurements. You can enter 3 types of measurement entries: Physical, Vital and Sleep. Physical category has fields like: Thigh, Height, Arm, Waist, Calf, Hips, Chest, Abs, Neck, Weight, Wrist, Fat & Forearm. Vital category has fields like: Systolic BP, Diastolic BP, Blood Sugar & Cholestrol. Sleep category has fields like: Total Sleep in hrs & Quality.

You can also view or calculate Body Fat Percentage, Body Mass Index, Waist-to-Hip Ratio and Heart rate from Options > Utility... sub menu.
  • To attach note, select Options > Attach Note... option.
  • To attach photo, select Options > Photo... option. You can also attach photo from Measurement Calendar.
  • PocketBFL prepares chart based on measurements.
  • You can save changes and return back to exercise calendar by pressing OK button, at top right corner of the page.


Measurement Calendar

If you have recorded measurements then that specific day displays [image] icon.

Also, if you tap on that day, popup options disables/enables according to that day status as follows:

Now you can edit that record to make modifications. Copy that day record and paste it to some other day. Clear that record or export it to text file so that it can be refered on PC as well.


Tap on day to operate

Tap on any day you want to operate on and it will display popup menu having various options as follows. Few of the options are enabled or disabled according to the status of that day. e.g. If you tapped on day which already has photo attached then options like Edit, Copy, Clear, Clear are enabled. If you have copied some day then Paste option will also become active. If you tapped on day having no record and you have not copied any record then only Edit option will be enabled.


Photograph

Selecting Photo > Edit option from popup, which appears after you tap on measurement calendar day, will lead you to page where you can specify path for the image. You can select gif, jpg or bmp file. If you have already selected image then it displays that image.

1. Selecting Photo
2. Photo view
  • You can also change image via Options > Open... option.
  • You can save changes and return back to exercise calendar by pressing OK button, at top right corner of the page. At the time of saving it ask whether you like to save a reference to image. If you say Yes then PocketBFL stores it path for reference. If you say No then that image would be copied to PocketBFL itself.


Measurement Calendar

If you have selected image then that specific day displays [image] icon.

Also, if you tap on that day, popup options disables/enables according to that day status as follows:

Now you can edit that record to make modifications. Copy that image and paste it to some other day. Clear that image. Remember, If you paste some image which is only refered by PocketBFL then its reference will be copied to targeted day. If you paste image which is saved to PocketBFL itself then, new copy of that image will be created for the day you're pasting.


Start Food Calendar

Load Chart Viewer

Tap on Tap to load food calendar icon, available on PocketBFL Home, to load Chart Viewer.

You can view chart based on various measurements like: Chest, Arm, Calf, Neck, Waist, Sleep hours, Diastolic BP and etc. X-axis draws dates and Y-axis draws measurements taken on dates.


Calculate

Body Fat %, Body Mass Index, Waist to Hip ratio and Heart rate

PocketBFL provides BF%, BMI, W-H Ratio and HR calculators. You can launch these calculators via Tools > Calculators menu option on PocketBFL Home or from Measurement Record Keeper.


Copy, Paste, Clear and etc...

Exercise Calendar, Food Calendar and Measurement Calendar provides various options like copy, paste, clear day. Practically speaking, most of the users carry on there previous exercise, food plan and measurements. You can copy and paste any day and make modifications to it by editing that record. You can also clear unwanted record or photo from day. It makes the whole process of planning and taking measurements real fast.

Exercise calendar | Food calendar
Measurement calendar | Measurement calendar


Meal time alarm

Saved food plan intervals are shown in Appointment section on Today page of Pocket PC on proper date/time for reminding purpose. For creating food plan, refer How to... Create Food Plan.


Introduction

Start/Stop meal time alarm

You can start or stop meal time alarms via preferences. Select Tools > Preferences menu option from PocketBFL Home.


Introduction

Change measurement units

You can change measurement units via preferences. Select Tools > Preferences menu option from PocketBFL Home.


Disclaimer

PocketBFL is independently developed software by Cellica. Please, do not contact Mr. Bill Phillips, EAS Inc, or any related authority of Body-for-LIFE, regarding PocketBFL. Please consult with your physician before using PocketBFL. Cellica Software Services do not assume any responsibility for the use of this software. You can send mail to support@cellica.com for questions regarding PocketBFL.